--- title: "Get Top URLs by Reputations" slug: "get-top-urls-by-reputations-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-top-urls-by-reputations-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Top URLs by Reputations This URL gets the list of top urls by reputations. ### Resource URL GET /ntbamonitors/{ntbaId}/topurlsbyreputation? TopN= &timePeriod=&startTime=&endTime= ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `ntbaId` | NTBA monitor id | Number | Yes | | `TopN` | Number of top rows, default 50 | Number | No | | `timePeriod` | Duration: can be - LAST_MINUTE - LAST_10_MINUTES - LAST_HOUR - LAST_24_HOURS - CUSTOM Custom incase start and end time is provided | String | No | | `startTime` | Start time in the format: yyyy-MM-dd HH:mm | String | No | | `endTime` | End time in the format: yyyy-MM-dd HH:mm | String | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `topURLsOnNetwork` | List of urls | Array | Details of topURLsOnNetwork: | Field Name | Description | Data Type | | --- | --- | --- | | `reputation` | Reputation | String | | `url` | URL | Number | | `urlId` | URL id | String | | `country` | Country | String | | `count` | Count | Number | ### Example **Request** GET [https:///sdkapi/ntbamonitors/1006/topurlsbyreputation?timePeriod=CUSTOM&startTime=2012-APR-20](https://<NSM_IP>/sdkapi/ntbamonitors/1006/topurlsbyreputation?timePeriod=CUSTOM&startTime=2012-APR-20) **Response** ``` { "topURLsOnNetwork": [{ "reputation":"Minimal Risk", "url":"twitter.com","urlId":"8390917", "category":"Blogs/Wiki","country":"United States","count":6 }] } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4301 | Invalid duration | | 2 | 400 | 4302 | Invalid time format | | 3 | 400 | 4303 | Start time is greater than end time | | 4 | 400 | 4304 | Invalid date format | | 5 | 400 | 4305 | Start/End date is not provided | | 6 | 400 | 4306 | Invalid NTBA id |